name: deepseq
version: 1.4.1.1
id: deepseq-1.4.1.1-614b63b36dd6e29d2b35afff57c25311
key: deeps_6vMKxt5sPFR0XsbRWvvq59
license: BSD3
maintainer: libraries@haskell.org
synopsis: Deep evaluation of data structures
description:
    This package provides methods for fully evaluating data structures
    (\"deep evaluation\"). Deep evaluation is often used for adding
    strictness to a program, e.g. in order to force pending exceptions,
    remove space leaks, or force lazy I/O to happen. It is also useful
    in parallel programs, to ensure pending work does not migrate to the
    wrong thread.
    .
    The primary use of this package is via the 'deepseq' function, a
    \"deep\" version of 'seq'. It is implemented on top of an 'NFData'
    typeclass (\"Normal Form Data\", data structures with no unevaluated
    components) which defines strategies for fully evaluating different
    data types.
category: Control
exposed: True
exposed-modules:
    Control.DeepSeq
trusted: False
import-dirs: /usr/lib/ghc-7.10.3/deeps_6vMKxt5sPFR0XsbRWvvq59
library-dirs: /usr/lib/ghc-7.10.3/deeps_6vMKxt5sPFR0XsbRWvvq59
data-dir: /usr/share/x86_64-linux-ghc-7.10.3/deepseq-1.4.1.1
hs-libraries: HSdeepseq-1.4.1.1-6vMKxt5sPFR0XsbRWvvq59
depends:
    array-0.5.1.0-960bf9ae8875cc30355e086f8853a049
    base-4.8.2.0-0d6d1084fbc041e1cded9228e80e264d
haddock-interfaces: /usr/share/doc/ghc/html/libraries/deepseq-1.4.1.1/deepseq.haddock
haddock-html: /usr/share/doc/ghc/html/libraries/deepseq-1.4.1.1
